<?php

/*
 * Created on 19.12.2019 - Updated 22.03.2023
 * HomePage: https://xentr.net
 * Copyright (c) 2019 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */
 
namespace XENTR\TPM;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUninstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;

class Setup extends AbstractSetup
{
	use StepRunnerInstallTrait;
	use StepRunnerUpgradeTrait;
	use StepRunnerUninstallTrait;

    public function installStep1()
    {
        $this->query("
                INSERT INTO  xf_route_filter (
                `route_filter_id` ,
                `prefix` ,
                `find_route` ,
                `replace_route` ,
                `enabled` ,
                `url_to_route_only`
                )
                VALUES (
                NULL ,  'members',  'members/tpm/',  'members/top-posters-of-month/',  '1',  '0'
                );
		");

        $this->app->repository('XF:RouteFilter')->rebuildRouteFilterCache();

        $this->createWidget(
            'tpm_widget_forumlist_sidebar',
            'tpm_widget',
            [
                'positions' => [
                    'forum_list_sidebar' => 100
                ]
            ],
            'Top Posters of the Month'
        );
    }

    public function uninstallStep1()
    {
        $this->query("DELETE FROM xf_route_filter WHERE prefix = 'members' AND find_route = 'members/tpm/' AND replace_route='members/top-posters-of-month/'");
        $this->app->repository('XF:RouteFilter')->rebuildRouteFilterCache();
    }
}