<?php

/*
 * Created on 19.12.2019 - Updated 22.03.2023
 * HomePage: https://xentr.net
 * Copyright (c) 2019 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */
 
namespace XENTR\TPM\XF\Template;

class Templater extends XFCP_Templater
{
    public function fnUserBanners($templater, &$escape, $user, $attributes = [])
    {
        $res = parent::fnUserBanners($templater, $escape, $user, $attributes);

        if ($user && ($user instanceof \XF\Entity\User) && $user->user_id && \XF::options()->tpm_showBanner)
        {
            $sympleCache = \XF::app()->simpleCache();
            $tpmCache = $sympleCache->getValue('XENTR/TPM', 'tpm');

            if(empty($tpmCache['now']['user_id']))
            {
                return $res;
            }

            $tpmUserId = $tpmCache['now']['user_id'];

            if($tpmUserId != $user->user_id)
            {
                return $res;
            }

            if (!empty($attributes['tag']))
            {
                $tag = htmlspecialchars($attributes['tag']);
            }
            else
            {
                $tag = 'em';
            }

            unset($attributes['tag']);

            $tpm = \XF::phrase('tpm_banner_text');
            $tpm = $tpm->render();

            $res .= "<{$tag} class=\"userBanner userBanner userBanner--tpm tpm-xentrBanner\"><span class=\"userBanner-before\"></span><strong>{$tpm}</strong><span class=\"userBanner-after\"></span></{$tag}>";
        }

        return $res;
    }
}
if(false)
{
    class XFCP_Templater extends \XF\Template\Templater {}
}